## GstVaapiDisplayDRM GstVaapiDisplayDRM — VA/DRM display abstraction |

## Functions

GstVaapiDisplay * | gst_vaapi_display_drm_new ()
GstVaapiDisplay * | gst_vaapi_display_drm_new_with_device ()
gint | gst_vaapi_display_drm_get_device ()
const gchar * | gst_vaapi_display_drm_get_device_path ()

## Description

## Functions

### gst_vaapi_display_drm_new ()

    GstVaapiDisplay *
    gst_vaapi_display_drm_new (const gchar *device_path);

Opens an DRM file descriptor using `device_path` and returns a newly allocated GstVaapiDisplay object. The DRM display will be cloed when the reference count of the object reaches zero.

If `device_path` is NULL, the DRM device path will be automatically determined as the first positive match in the list of available DRM devices.

#### Parameters

device_path | the DRM device path |

#### Returns

a newly allocated GstVaapiDisplay object

### gst_vaapi_display_drm_new_with_device ()

    GstVaapiDisplay *
    gst_vaapi_display_drm_new_with_device (gint device);

Creates a GstVaapiDisplay based on the open DRM `device` . The caller still owns the device file descriptor and must call `close()` when all GstVaapiDisplay references are released. Doing so too early can yield undefined behaviour.

#### Parameters

device | an open DRM device (file descriptor) |

#### Returns

a newly allocated GstVaapiDisplay object

### gst_vaapi_display_drm_get_device ()

    gint
    gst_vaapi_display_drm_get_device (GstVaapiDisplayDRM *display);

Returns the underlying DRM device file descriptor that was created by `gst_vaapi_display_drm_new()` or that was bound from `gst_vaapi_display_drm_new_with_device()`.

#### Parameters

display | a GstVaapiDisplayDRM |

#### Returns

the DRM file descriptor attached to `display`

### gst_vaapi_display_drm_get_device_path ()

    const gchar *
    gst_vaapi_display_drm_get_device_path (GstVaapiDisplayDRM *display);

Returns the underlying DRM device path name was created by `gst_vaapi_display_drm_new()` or that was bound from `gst_vaapi_display_drm_new_with_device()`.

Note: the GstVaapiDisplayDRM object owns the resulting string, so it shall not be deallocated.

#### Parameters

display | a GstVaapiDisplayDRM |

#### Returns

the DRM device path name attached to `display`

## Types and Values